{
    allowedItemIdentifiers = (
        NewPalette, EditPalette, Forward, Backward, PalettePopUp, 
        NSToolbarSeparatorItem, NSToolbarSpaceItem, NSToolbarFlexibleSpaceItem, NSToolbarCustomizeToolbarItem, ShowPaletteTemplate
    ); 
    defaultItemIdentifiers = (
       Backward, Forward, PalettePopUp, "Basic.palette", NSToolbarFlexibleSpaceItem, NSToolbarSeparatorItem, EditPalette, NewPalette
    ); 
    itemInfoByIdentifier = {
        PalettePopUp = {
            action = "openPaletteFromMenu:"; 
            label = "Palettes"; 
            paletteLabel = "Palettes"; 
        }; 
        EditPalette = {
            action = "editPalette:"; 
            imageName = EditPalette; 
            label = "Edit"; 
            paletteLabel = "Edit Palette"; 
            toolTip = "Edit Palette"; 
        }; 
        NewPalette = {
            action = "newPalette:"; 
            imageName = "NewPalette"; 
            label = "New"; 
            paletteLabel = "New Palette"; 
            toolTip = "New Palette"; 
            target = firstResponder;
        }; 
        Forward = {
            action = "forward:"; 
            imageName = Forward; 
            label = "Next"; 
            paletteLabel = "Next"; 
            toolTip = "Next"; 
        }; 
        Backward = {
            action = "backward:"; 
            imageName = Back; 
            label = "Previous"; 
            paletteLabel = "Previous"; 
            toolTip = "Previous"; 
        }; 
        
        /* This item is a template for the 'show palette' items which are dynamically created */
        ShowPaletteTemplate = {
            action = "openPaletteFromToolbar:"; 
            imageName = GenericPalette; 
            label = "%@";
            paletteLabel = "%@ Palette"; 
            toolTip = "Show %@ Palette"; 
            target = firstResponder;
        }; 
   }; 
}